Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.indirection
Interface IndirectContainer

All Known Implementing Classes:
  IndirectList, IndirectMap, IndirectSet

public interface IndirectContainer

Purpose: Define an interface for a Container that can also act as a TopLink "indirection" object; i.e. the Container will only read its contents from the database when necessary (typically, on receipt of the first Container-related message).

Since:
  TOPLink/Java 2.5
See Also:
  `oracle.toplink.internal.indirection.TransparentIndirectionPolicy`

Method Summary
`ValueHolderInterface` | `getValueHolder()` PUBLIC: This is used by the indirection policy to build the UOW clone of the container.
`boolean` | `isInstantiated()` PUBLIC: Return whether the contents have been read from the database.
`void` | `setValueHolder(ValueHolderInterface valueHolder)` PUBLIC: Set the valueHolder.

Method Detail

### getValueHolder

    public ValueHolderInterface getValueHolder()

  PUBLIC: This is used by the indirection policy to build the UOW clone of the container.
  Returns:
    oracle.toplink.indirection.ValueHolderInterface A representation of the valueholder * which this container uses

### isInstantiated

    public boolean isInstantiated()

  PUBLIC: Return whether the contents have been read from the database. This is used periodically by the indirection policy to determine whether to trigger the database read.

### setValueHolder

    public void setValueHolder(ValueHolderInterface valueHolder)

  PUBLIC: Set the valueHolder. This is used by the indirection policy to build the UOW clone of the container.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD